
#ifndef __OPENCORES_I2C_H__
#define __OPENCORES_I2C_H__

/****************************************************************************/
/* Include Files                                                            */
/****************************************************************************/
#include "alt_types.h"

/****************************************************************************/
/* I2C			                                                            */
/****************************************************************************/
#define I2C_ACK (0)
#define I2C_NOACK (1)

/****************************************************************************/
/* Functions Prototypes                                                     */
/****************************************************************************/
void I2C_init(alt_u32 base,alt_u32 clk,alt_u32 speed);		// Initializes the I2C core.
int I2C_start(alt_u32 base, alt_u32 add, alt_u32 read);		// Sets the start bit and then sends the address byte.
alt_u32 I2C_read(alt_u32 base,alt_u32 last);				// Reads one byte of data from the slave.
alt_u32 I2C_write(alt_u32 base,alt_u8 data, alt_u32 last);	// Writes one byte of data to the slave.
#endif /* __OPENCORES_I2C_H__ */
